Page MenuHomePhabricator

Replace IP class with IPUtils (Wikimedia-deployed)
Closed, ResolvedPublic

Description

The IP class in MW core is deprecated since 1.35, it should be replaced with IPUtils

This will require an use Wikimedia\IPUtils;, and also the required MW version bumping to >= 1.35

Details

ProjectBranchLines +/-Subject
mediawiki/extensions/DonationInterfacemaster+3 -2
mediawiki/extensions/StopForumSpammaster+7 -7
mediawiki/extensions/BounceHandlermaster+5 -2
mediawiki/extensions/Nukemaster+4 -2
mediawiki/extensions/LandingCheckmaster+7 -1
mediawiki/extensions/Jademaster+2 -1
mediawiki/extensions/LiquidThreadsmaster+3 -2
operations/mediawiki-configmaster+4 -1
mediawiki/extensions/Flowmaster+4 -4
mediawiki/extensions/FundraiserLandingPagemaster+5 -2
mediawiki/extensions/VipsScalermaster+5 -3
mediawiki/extensions/TorBlockmaster+7 -5
mediawiki/extensions/ConfirmEditmaster+7 -5
mediawiki/extensions/GlobalUserPagemaster+3 -3
mediawiki/extensions/LoginNotifymaster+5 -5
mediawiki/extensions/ProofreadPagemaster+3 -3
mediawiki/extensions/TrustedXFFmaster+5 -3
mediawiki/extensions/CheckUsermaster+67 -56
mediawiki/extensions/MobileFrontendmaster+7 -4
mediawiki/extensions/CentralAuthmaster+5 -3
mediawiki/extensions/GlobalBlockingmaster+43 -33
mediawiki/extensions/SecurePollmaster+10 -5
mediawiki/extensions/WikimediaMaintenancemaster+4 -2
mediawiki/coremaster+6 -5
mediawiki/extensions/AbuseFiltermaster+15 -10
Show related patches Customize query in gerrit

Event Timeline

Reedy created this task.Jan 12 2020, 10:44 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 12 2020, 10:44 PM

@Reedy Should I go ahead with this? and do we need a separate task for each extension or all patches should point to this task?

Reedy added a comment.Jan 13 2020, 8:34 AM

No specific reason to create specific tasks, but no reason you can’t either

Reedy added a comment.Jan 13 2020, 9:02 AM

I see ~165 usages

5 in core (including comments), 140 in extensions (plus 10 imports which obviously just need swapping over), in 31 extensions

Change 567099 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/extensions/CheckUser@master] Bump required MW version to 1.35.0

https://gerrit.wikimedia.org/r/567099

Change 567101 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/extensions/AbuseFilter@master] Replace deprecated IP class with IPUtils

https://gerrit.wikimedia.org/r/567101

Ammarpad triaged this task as Medium priority.Jan 24 2020, 5:36 PM
Ammarpad removed a project: Google-Code-in-2019.

Change 567110 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/core@master] Replace deprecated IP class with IPUtils

https://gerrit.wikimedia.org/r/567110

Change 567101 merged by jenkins-bot:
[mediawiki/extensions/AbuseFilter@master] Replace deprecated IP class with IPUtils

https://gerrit.wikimedia.org/r/567101

Change 567110 merged by jenkins-bot:
[mediawiki/core@master] Replace deprecated IP class with IPUtils

https://gerrit.wikimedia.org/r/567110

Change 567193 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[operations/mediawiki-config@master] Replace deprecated IP class with IPUtils

https://gerrit.wikimedia.org/r/567193

Change 567194 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/extensions/WikimediaMaintenance@master] Bump required version to MW 1.35.0

https://gerrit.wikimedia.org/r/567194

Change 567194 merged by jenkins-bot:
[mediawiki/extensions/WikimediaMaintenance@master] Replace deprecated IP class with IPUtils

https://gerrit.wikimedia.org/r/567194

Change 567336 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/extensions/SecurePoll@master] Replace deprecated IP class with IP Utilities

https://gerrit.wikimedia.org/r/567336

Change 567338 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/extensions/GlobalBlocking@master] Replace deprecated IP class with IPUtils

https://gerrit.wikimedia.org/r/567338

Change 567340 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/extensions/CentralAuth@master] Replace deprecated IP class with IP Utilities

https://gerrit.wikimedia.org/r/567340

Change 567336 merged by jenkins-bot:
[mediawiki/extensions/SecurePoll@master] Replace deprecated IP class with IP Utilities

https://gerrit.wikimedia.org/r/567336

Change 567340 merged by jenkins-bot:
[mediawiki/extensions/CentralAuth@master] Replace deprecated IP class with IP Utilities

https://gerrit.wikimedia.org/r/567340

Change 567338 merged by jenkins-bot:
[mediawiki/extensions/GlobalBlocking@master] Replace deprecated IP class with IPUtils

https://gerrit.wikimedia.org/r/567338

Change 567471 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/extensions/MobileFrontend@master] Replace deprecated IP class with IPUtils

https://gerrit.wikimedia.org/r/567471

Change 567471 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Replace deprecated IP class with IPUtils

https://gerrit.wikimedia.org/r/567471

Change 567099 merged by jenkins-bot:
[mediawiki/extensions/CheckUser@master] Bump required MW version to 1.35.0

https://gerrit.wikimedia.org/r/567099

Change 571031 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/extensions/ProofreadPage@master] Avoid use of deprecated IP class

https://gerrit.wikimedia.org/r/571031

Change 571032 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/extensions/LoginNotify@master] Replace deprecated IP class with IPUtils

https://gerrit.wikimedia.org/r/571032

Change 571033 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/extensions/TrustedXFF@master] Replace deprecated IP class with IPUtils

https://gerrit.wikimedia.org/r/571033

Change 571034 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/extensions/ConfirmEdit@master] Replace deprecated IP class with IP Utilities

https://gerrit.wikimedia.org/r/571034

Change 571035 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/extensions/Flow@master] Bug: T242556

https://gerrit.wikimedia.org/r/571035

Change 571035 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/extensions/Flow@master] Replace deprecated IP class with IP Utilities

https://gerrit.wikimedia.org/r/571035

Change 571031 merged by jenkins-bot:
[mediawiki/extensions/ProofreadPage@master] Avoid use of deprecated IP class

https://gerrit.wikimedia.org/r/571031

Change 571032 merged by jenkins-bot:
[mediawiki/extensions/LoginNotify@master] Replace deprecated IP class with IPUtils

https://gerrit.wikimedia.org/r/571032

Change 571033 merged by jenkins-bot:
[mediawiki/extensions/TrustedXFF@master] Replace deprecated IP class with IPUtils

https://gerrit.wikimedia.org/r/571033

Change 571036 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/extensions/GlobalUserPage@master] Replace deprecated IP class with IP Utilities

https://gerrit.wikimedia.org/r/571036

Change 571036 merged by jenkins-bot:
[mediawiki/extensions/GlobalUserPage@master] Replace deprecated IP class with IP Utilities

https://gerrit.wikimedia.org/r/571036

Change 571034 merged by jenkins-bot:
[mediawiki/extensions/ConfirmEdit@master] Replace deprecated IP class with IP Utilities

https://gerrit.wikimedia.org/r/571034

Change 571310 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/extensions/VipsScaler@master] Replace deprecated IP class with IPUtils

https://gerrit.wikimedia.org/r/571310

Change 571313 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/extensions/TorBlock@master] Replace deprecated IP class with IPUtils

https://gerrit.wikimedia.org/r/571313

Change 571313 merged by jenkins-bot:
[mediawiki/extensions/TorBlock@master] Replace deprecated IP class with IPUtils

https://gerrit.wikimedia.org/r/571313

Change 571310 merged by jenkins-bot:
[mediawiki/extensions/VipsScaler@master] Replace deprecated IP class with IPUtils

https://gerrit.wikimedia.org/r/571310

Change 571414 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/extensions/FundraiserLandingPage@master] Replace deprecated IP class with IPUtils

https://gerrit.wikimedia.org/r/571414

Change 571035 merged by jenkins-bot:
[mediawiki/extensions/Flow@master] Replace deprecated IP class with IPUtils

https://gerrit.wikimedia.org/r/571035

Change 571414 merged by jenkins-bot:
[mediawiki/extensions/FundraiserLandingPage@master] Replace deprecated IP class with IPUtils

https://gerrit.wikimedia.org/r/571414

Change 567193 merged by jenkins-bot:
[operations/mediawiki-config@master] Replace deprecated IP class with IPUtils

https://gerrit.wikimedia.org/r/567193

Change 571941 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/extensions/LiquidThreads@master] Replace deprecated IP class with IPUtils

https://gerrit.wikimedia.org/r/571941

Change 571942 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/extensions/LandingCheck@master] Replace deprecated IP class with IPUtils

https://gerrit.wikimedia.org/r/571942

Change 571413 had a related patch set uploaded (by Jforrester; owner: Ammarpad):
[mediawiki/extensions/Jade@master] Replace deprecated IP class with IPUtils in commented-out code.

https://gerrit.wikimedia.org/r/571413

Change 571413 merged by jenkins-bot:
[mediawiki/extensions/Jade@master] Replace deprecated IP class with IPUtils in commented-out code.

https://gerrit.wikimedia.org/r/571413

Change 571941 merged by jenkins-bot:
[mediawiki/extensions/LiquidThreads@master] Replace deprecated IP class with IPUtils

https://gerrit.wikimedia.org/r/571941

Change 571942 merged by jenkins-bot:
[mediawiki/extensions/LandingCheck@master] Replace deprecated IP class with IPUtils

https://gerrit.wikimedia.org/r/571942

Change 572293 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/extensions/DonationInterface@master] Replace deprecated IP class with IPUtils

https://gerrit.wikimedia.org/r/572293

Change 572479 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/extensions/BounceHandler@master] Replace deprecated IP class with IPUtils

https://gerrit.wikimedia.org/r/572479

Change 572482 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/extensions/Nuke@master] Replace deprecated IP class with IPUtils

https://gerrit.wikimedia.org/r/572482

Change 572482 merged by jenkins-bot:
[mediawiki/extensions/Nuke@master] Replace deprecated IP class with IPUtils

https://gerrit.wikimedia.org/r/572482

Change 572479 merged by jenkins-bot:
[mediawiki/extensions/BounceHandler@master] Replace deprecated IP class with IPUtils

https://gerrit.wikimedia.org/r/572479

Change 577727 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/extensions/StopForumSpam@master] Replace deprecated IP class with IPUtils

https://gerrit.wikimedia.org/r/577727

Ammarpad renamed this task from Replace IP class with IPUtils to Replace IP class with IPUtils (Wikimedia-deployed).Mar 7 2020, 6:45 AM
Ammarpad updated the task description. (Show Details)

Change 577727 merged by jenkins-bot:
[mediawiki/extensions/StopForumSpam@master] Replace deprecated IP class with IPUtils

https://gerrit.wikimedia.org/r/577727

Change 572293 abandoned by Ammarpad:
Replace deprecated IP class with IPUtils

Reason:
Not needed for now

https://gerrit.wikimedia.org/r/572293

Ammarpad closed this task as Resolved.Mar 8 2020, 7:24 AM
Ammarpad claimed this task.

All done for now, save donation interface which is not feasible now.